Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.birt.report.model.api.command
Class CssException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              org.eclipse.birt.core.exception.BirtException
                  org.eclipse.birt.report.model.api.ModelException
                      org.eclipse.birt.report.model.api.activity.SemanticException
                          org.eclipse.birt.report.model.api.command.CssException

All Implemented Interfaces:
  java.io.Serializable

    public class CssException

extends SemanticException

Included css style sheet exception

See Also:
  Serialized Form

Field Summary
`static java.lang.String` | `DESIGN_EXCEPTION_BADCSSFILE` Bad css file.
`static java.lang.String` | `DESIGN_EXCEPTION_CSS_NOT_FOUND` Indicates the css is not found in module.
`static java.lang.String` | `DESIGN_EXCEPTION_DUPLICATE_CSS` Indicates the css is using is duplicate.
`static java.lang.String` | `DESIGN_EXCEPTION_READONLY` Read-only style

Fields inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`DESIGN_EXCEPTION__EXPORT_ELEMENT_FAIL, element`

Fields inherited from class org.eclipse.birt.report.model.api.ModelException
`PLUGIN_ID`

Fields inherited from class org.eclipse.birt.core.exception.BirtException
`CANCEL, ERROR, INFO, oaMessageArguments, OK, pluginId, rb, severity, sResourceKey, WARNING`

Constructor Summary
`CssException(org.eclipse.birt.report.model.core.Module module, IncludedCssStyleSheet styleSheet, java.lang.String[] values, java.lang.String errCode)` Constructor.
`CssException(org.eclipse.birt.report.model.core.Module module, java.lang.String[] values, java.lang.String errCode)` Constructor.

Method Summary
`IncludedCssStyleSheet` | `getIncludedStyleSheet()` Gets the included CSS style sheet for this exception.
`java.lang.String` | `getLocalizedMessage()`

Methods inherited from class org.eclipse.birt.report.model.api.activity.SemanticException
`getElement, getElementName, getMessage`

Methods inherited from class org.eclipse.birt.core.exception.BirtException
`getErrorCode, getLocalizedMessage, getPluginId, getSeverity, setSeverity`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### DESIGN_EXCEPTION_CSS_NOT_FOUND

    public static final java.lang.String DESIGN_EXCEPTION_CSS_NOT_FOUND

  Indicates the css is not found in module.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_DUPLICATE_CSS

    public static final java.lang.String DESIGN_EXCEPTION_DUPLICATE_CSS

  Indicates the css is using is duplicate.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_BADCSSFILE

    public static final java.lang.String DESIGN_EXCEPTION_BADCSSFILE

  Bad css file.

  See Also:
    Constant Field Values

### DESIGN_EXCEPTION_READONLY

    public static final java.lang.String DESIGN_EXCEPTION_READONLY

  Read-only style

  See Also:
    Constant Field Values

Constructor Detail

### CssException

    public CssException(org.eclipse.birt.report.model.core.Module module,
                        java.lang.String[] values,
                        java.lang.String errCode)

  Constructor.

  Parameters:
    `module` - the module which has errors
    `values` - value array used for error message
    `errCode` - the error code

### CssException

    public CssException(org.eclipse.birt.report.model.core.Module module,
                        IncludedCssStyleSheet styleSheet,
                        java.lang.String[] values,
                        java.lang.String errCode)

  Constructor.

  Parameters:
    `module` - the module which has errors
    `styleSheet` -
    `values` - value array used for error message
    `errCode` - the error code

Method Detail

### getIncludedStyleSheet

    public IncludedCssStyleSheet getIncludedStyleSheet()

  Gets the included CSS style sheet for this exception.

  Returns:
    included CSS style sheet

### getLocalizedMessage

    public java.lang.String getLocalizedMessage()

  Overrides:
    `getLocalizedMessage` in class `SemanticException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008 Actuate Corp. All rights reserved.